<?php
session_start();

#error_log("Here is upload.php");
include "config.php";


function xvar_dump ($x)	{
	ob_start();
	var_dump($x);
	return  ob_get_clean();
}

$fff = xvar_dump($_FILES);
file_put_contents("/tmp/log.txt", "uploader\n", FILE_APPEND | LOCK_EX);
file_put_contents("/tmp/log.txt", "$fff\n", FILE_APPEND | LOCK_EX);


if (!count($_FILES)){
	file_put_contents("/tmp/log.txt", "ERRORZWEIK\n", FILE_APPEND | LOCK_EX);

	$jo = array(
		"type" => "error" 
	);
	$j = json_encode ($jo);
	echo $j;
	$x = xvar_dump($j);
	file_put_contents("/tmp/log.txt", "$j\n", FILE_APPEND | LOCK_EX);
	file_put_contents("/tmp/log.txt", "$x\n", FILE_APPEND | LOCK_EX);

	return;
}


$jo = array();

foreach ($_FILES as $key=>$files){
	file_put_contents("/tmp/log.txt", "MIME: tester\n", FILE_APPEND | LOCK_EX);

	for ($i=0; $i < count($files['name']); $i++){
		$tmpname = $files['tmp_name'][$i];

		$ft = mime_content_type($tmpname);

		file_put_contents("/tmp/log.txt", "MIME: $ft\n", FILE_APPEND | LOCK_EX);
		
		if ($ft == "application/pdf"){

			$jo ["file-$key-$i"] = array(
				"url" => "url.txt",
				"name" => $files['name'][$i],
				"id" => $tmpname,
				"size" => sprintf("%0.1fK",$files['size'][$i]/1024.0)
			);

			file_put_contents("/tmp/log.txt", "file-$key-$i\n", FILE_APPEND | LOCK_EX);
			file_put_contents("/tmp/log.txt", $files['name'][$i]."\n", FILE_APPEND | LOCK_EX);

			$_SESSION['files'][$tmpname]['content']=file_get_contents($tmpname);
			$_SESSION['files'][$tmpname]['row']=$_GET['row'];

		}else if (
			$ft == "image/jpeg" || 
			$ft == "image/png"  ||
			$ft == "image/tiff" ||
			$ft == "image/bmp" ||
			$ft == "image/gif" 

		){
			$jo ["file-$key-$i"] = array(
				"url" => "url.txt",
				"name" => $files['name'][$i],
				"id" => $tmpname,
				"size" => sprintf("%0.1fK",$files['size'][$i]/1024.0)
			);
			file_put_contents("/tmp/log.txt", "BILD detected\n", FILE_APPEND | LOCK_EX);
			file_put_contents("/tmp/log.txt", "file-$key-$i\n", FILE_APPEND | LOCK_EX);
			file_put_contents("/tmp/log.txt", $files['name'][$i], FILE_APPEND | LOCK_EX);
			$tmpfname = tempnam("/tmp", "FOO");
			$cmd = "$CONVERT_CMD $tmpname PDF:$tmpfname";
			exec ($cmd);
			file_put_contents("/tmp/log.txt", "\n$cmd\n");


			$_SESSION['files'][$tmpname]['content']=file_get_contents($tmpfname);
			$_SESSION['files'][$tmpname]['row']=$_GET['row'];
			unlink ($tmpfname);

		}else {
			file_put_contents("/tmp/log.txt", "ERRORZWEIK\n", FILE_APPEND | LOCK_EX);

			$jo = array(
				"type" => "error" 
			);
			$j = json_encode ($jo);
			echo $j;
			$x = xvar_dump($j);
			file_put_contents("/tmp/log.txt", "$j\n", FILE_APPEND | LOCK_EX);
			file_put_contents("/tmp/log.txt", "$x\n", FILE_APPEND | LOCK_EX);

			return;
		}


	}
}


$files = "";
foreach ($_SESSION['files'] as $key => $val) {
	$files .= "$key\n";
}


$j = json_encode ($jo);
echo $j;

file_put_contents("/tmp/log.txt", $j, FILE_APPEND | LOCK_EX);


#error_log("\n\n ----- files ----- \n\n$files\n\n\n");
#$xp = xvar_dump($_FILES);
#error_log("\n\n ----- FILES ----- \n\n$$xp\n\n\n");

